Wireshark 2.4.x < 2.4.14の複数の脆弱性(MacOS)

high Nessus プラグイン ID 124161

概要

リモートのmacOSまたはMac OS Xホストにインストールされているアプリケーションは、複数の脆弱性の影響を受けます。

説明

リモートのMacOS/Mac OS XホストにインストールされているWiresharkのバージョンは2.4.14より前の2.4.xです。したがって、wireshark-2.4.14アドバイザリに記載されているように、複数の脆弱性の影響を受けます。- NetScalerファイルパーサーがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10895)- SRVLOCディセクタがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10899)- GSS-APIディセクタがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10894)- DOFディセクタがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10896)- LDSSディセクタがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10901)- DCERPC SPOOLSSディセクタがクラッシュする可能性があります。無効な形式のパケットをワイヤに挿入したり、誰かに無効な形式のパケットトレースファイルを読み取らせたりすることで、Wiresharkをクラッシュさせる可能性があります。(CVE-2019-10903)Nessusはこの問題をテストしていませんが、その代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Wiresharkバージョン2.4.14以降にアップグレードしてください。

関連情報

https://www.wireshark.org/docs/relnotes/wireshark-2.4.14.html

https://www.wireshark.org/security/wnpa-sec-2019-09

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15497

https://www.wireshark.org/security/wnpa-sec-2019-10

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15546

https://www.wireshark.org/security/wnpa-sec-2019-14

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15613

https://www.wireshark.org/security/wnpa-sec-2019-15

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15617

https://www.wireshark.org/security/wnpa-sec-2019-17

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15620

https://www.wireshark.org/security/wnpa-sec-2019-18

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15568

プラグインの詳細

深刻度: High

ID: 124161

ファイル名: macosx_wireshark_2_4_14.nasl

バージョン: 1.6

タイプ: local

エージェント: macosx

公開日: 2019/4/18

更新日: 2020/1/24

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2019-10894

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:wireshark:wireshark

必要な KB アイテム: installed_sw/Wireshark, Host/MacOSX/Version, Host/local_checks_enabled

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/4/8

脆弱性公開日: 2019/4/8

参照情報

CVE: CVE-2019-10894, CVE-2019-10895, CVE-2019-10896, CVE-2019-10899, CVE-2019-10901, CVE-2019-10903

BID: 107834